Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::script_node_metatype Class Reference

Class object for `script_nodes`. More...

`#include <openvrml/script.h>`

Inheritance diagram for openvrml::script_node_metatype:
[legend]

List of all members.

## Public Member Functions

| script_node_metatype (openvrml::browser &browser)
| Construct.
virtual | ~script_node_metatype () throw ()
| Destroy.

## Private Member Functions

virtual const boost::shared_ptr< node_type > | do_create_type (const std::string &id, const node_interface_set &interfaces) const throw ()
| Not implemented.

## Detailed Description

Class object for `script_nodes`.

There is one `script_node_metatype` per `browser` instance.

See also:
  browser::scriptNodeClass

## Constructor & Destructor Documentation

openvrml::script_node_metatype::script_node_metatype | ( | openvrml::browser & | browser | ) |

Construct.

Parameters:

  `[in]` | browser | the `browser` to be associated with the `script_node_metatype`.

openvrml::script_node_metatype::~script_node_metatype | ( |  | ) | throw ()`[virtual]`

Destroy.

## Member Function Documentation

const boost::shared_ptr< openvrml::node_type > openvrml::script_node_metatype::do_create_type | ( | const std::string & | id,
|  | const node_interface_set & | interfaces |
| ) |  |  | const throw ()`[private, virtual]`

Not implemented.

This method is not implemented because the Script node implementation, unlike other node implementations, cannot provide the implementation of an `EXTERNPROTO`. It is an error to call this method.

Implements openvrml::node_metatype.